%define upstream_name XMLRPC-Lite
%define upstream_version 0.717

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 11

Summary:	Client and server implementation of XML-RPC protocol
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/XMLRPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(SOAP::Lite)

BuildArch:	noarch

%description
XMLRPC::Lite is a Perl modules which provides a simple interface to the
XML-RPC protocol both on client and server side. Based on SOAP::Lite
module, it gives you access to all features and transports available in
that module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.717.0-11.mga10
+ Revision: 2201527
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.717.0-10.mga9
+ Revision: 1806743
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.717.0-9.mga8
+ Revision: 1498487
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.717.0-8.mga7
+ Revision: 1272788
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.717.0-7.mga6
+ Revision: 1036049
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.717.0-6.mga6
+ Revision: 949263
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.717.0-5.mga5
+ Revision: 789317
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.717.0-4.mga5
+ Revision: 741230
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.717.0-3.mga5
+ Revision: 686984
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.717.0-2.mga4
+ Revision: 532357
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 sander85 <sander85> 0.717.0-1.mga4
+ Revision: 468013
- imported package perl-XMLRPC-Lite

